%global _default_patch_fuzz 2

%global checkout 036e314

%define major 1
%define libname %mklibname lldp_clif %major
%define devname %mklibname lldp_clif -d

%define rel 6

Name:               lldpad
Version:            1.0.1
Release:            %mkrel %{rel}%{?checkout:.git%{checkout}}
Summary:            Intel LLDP Agent
Group:              System/Networking
License:            GPLv2
URL:                http://open-lldp.org/
Source0:            %{name}-%{version}.tar.gz
Patch1:             open-lldp-v1.0.1-1-VDP-vdp22_cmds-retrieve-vsi-paramenter-data.patch
Patch2:             open-lldp-v1.0.1-2-VDP-vdptool-first-version.patch
Patch3:             open-lldp-v1.0.1-3-VDP-vdptool-test-cases-Some-test-cases-to-test-the-n.patch
Patch4:             open-lldp-v1.0.1-4-VDP-Changes-to-make-the-interface-to-VDP22-in-lldpad.patch
Patch5:             open-lldp-v1.0.1-5-VDP-Support-for-get-tlv-in-vdptool-and-VDP22.patch
Patch6:             open-lldp-v1.0.1-6-VDP-Support-in-VDP22-for-correct-error-code-status-t.patch
Patch7:             open-lldp-v1.0.1-7-VDP-Support-for-OUI-infrastructure-in-VDP22.patch
Patch8:             open-lldp-v1.0.1-8-VDP-Support-for-OUI-infrastructure-in-vdptool.patch
Patch9:             open-lldp-v1.0.1-9-VDP-Support-for-OUI-infrastructure-in-vdp22.patch
Patch10:            open-lldp-v1.0.1-10-VDP-Support-for-OUI-infrastructure-in-vdp22.patch
Patch11:            open-lldp-v1.0.1-11-VDP-Support-for-Cisco-specific-OUI-extensions-to-VDP.patch
Patch12:            open-lldp-v1.0.1-12-VDP22-Fix-the-ack-timeout-handler-to-set-the-right-t.patch
Patch13:            open-lldp-v1.0.1-13-VDP-Changes-in-OUI-infra-for-get-tlv.patch
Patch14:            open-lldp-v1.0.1-14-VDP-Changes-in-Cisco-OUI-handlers-to-support-get-tlv.patch
Patch15:            open-lldp-v1.0.1-15-VDP-Add-vdptool-man-page-to-Makefile.patch
Patch16:            open-lldp-v1.0.1-16-VDP-Fixed-DBG-print-compile-errors-in-32-bit-systems.patch
Patch17:            open-lldp-v1.0.1-17-lldp-automake-fixes-for-dist-distcheck.patch
Patch18:            open-lldp-v1.0.1-18-enabled-test-tool-building-for-distcheck.patch
Patch19:            open-lldp-v1.0.1-19-nltest-build-error.patch
Patch20:            open-lldp-v1.0.1-20-lldp-automake-fix-drop-prefix-on-vdptool_LDADD.patch
Patch21:            open-lldp-v1.0.1-21-lldpad-Fix-DCBX-event-generation-from-lldpad.patch
Patch22:            open-lldp-v1.0.1-22-vdp-Fixed-the-memory-leak-for-modify-VSI-support-for.patch
Patch23:            open-lldp-v1.0.1-23-lldp-make-TTL-TLV-configurable.patch
Patch24:            open-lldp-v1.0.1-24-switch-from-sysv-to-posix-shared-memory-apis.patch
Patch25:            open-lldp-v1.0.1-25-l2_linux_packet-correctly-process-return-value-of-ge.patch
Patch26:            open-lldp-v1.0.1-26-lldpad-system-capability-incorrect-advertised-as-sta.patch
Patch27:            open-lldp-v1.0.1-27-fix-build-warnings.patch

BuildRequires:      automake autoconf libtool
BuildRequires:      flex >= 2.5.33
BuildRequires:      kernel-headers >= 2.6.32
BuildRequires:      libconfig-devel >= 1.3.2
BuildRequires:      libnl3-devel
BuildRequires:      readline-devel
BuildRequires:      systemd
# for macro definition:
BuildRequires:  systemd-devel
Requires:           readline
Requires:           %{libname}%{?_isa} = %{version}-%{release}

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.

%package -n %{libname}
Summary:            Library for applications using LLDP
Group:              System/Libraries

%description -n %{libname}
This package provides the libraries for applications
to support LLDP.

%package -n %{devname}
Summary:            Development files for %{name}
Group:              Development/C
Requires:           %{libname}%{?_isa} = %{version}-%{release}
Provides:           dcbd-devel = %{version}-%{release}
Provides:           %{name}-devel = %{version}-%{release}
Provides:           %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
This package contains header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
./bootstrap.sh
%configure2_5x --disable-static
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
rm -f %{buildroot}%{_libdir}/liblldp_clif.la

%post
%systemd_post %{name}.service %{name}.socket

%preun
%systemd_preun %{name}.service %{name}.socket

%postun
%systemd_postun_with_restart %{name}.service %{name}.socket

%files
%license COPYING
%doc README ChangeLog
%{_sbindir}/*
%dir %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_sysconfdir}/bash_completion.d/*
%{_mandir}/man8/*

%files -n %{libname}
%license COPYING
%{_libdir}/liblldp_clif.so.%{major}
%{_libdir}/liblldp_clif.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblldp_clif.so



%changelog
* Sun Oct 16 2016 tv <tv> 1.0.1-6.git036e314.mga6
+ Revision: 1061154
- BR systemd-devel for macro definition (mga#12027)

* Sun May 08 2016 ngompa <ngompa> 1.0.1-5.git036e314.mga6
+ Revision: 1010930
- imported package lldpad

